openshot::RendererBase Class Referenceabstract

This is the base class of all Renderers in libopenshot. More...

`#include <RendererBase.h>`

Inheritance diagram for openshot::RendererBase:

## Public Member Functions

virtual void | OverrideWidget (int64_t qwidget_address)=0
| Allow manual override of the QWidget that is used to display. More...
void | paint (const std::shared_ptr< Frame > &frame)
| Paint(render) a video Frame. More...

## Protected Member Functions

virtual void | render (std::shared_ptr< QImage > image)=0
| RendererBase ()
virtual | ~RendererBase ()

## Detailed Description

This is the base class of all Renderers in libopenshot.

Renderers are responsible for rendering images of a video onto a display device.

Definition at line 45 of file RendererBase.h.

## Constructor & Destructor Documentation

## RendererBase()

RendererBase::RendererBase | ( |  | ) |

protected

Definition at line 31 of file RendererBase.cpp.

## ~RendererBase()

RendererBase::~RendererBase | ( |  | ) |

protected virtual

Definition at line 35 of file RendererBase.cpp.

## Member Function Documentation

## OverrideWidget()

virtual void openshot::RendererBase::OverrideWidget | ( | int64_t | qwidget_address | ) |

pure virtual

Allow manual override of the QWidget that is used to display.

Implemented in VideoRenderer.

## paint()

void RendererBase::paint | ( | const std::shared_ptr< Frame > & | frame | ) |

Paint(render) a video Frame.

Definition at line 39 of file RendererBase.cpp.

## render()

virtual void openshot::RendererBase::render | ( | std::shared_ptr< QImage > | image | ) |

protected pure virtual

Implemented in VideoRenderer.

The documentation for this class was generated from the following files:

- RendererBase.h
- RendererBase.cpp